IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/68
Addresses2^60
/64 networksPart of one
- Network
2001:db8:0:a:1000::/68- First address
2001:db8:0:a:1000::- Last address
2001:db8:0:a:1fff:ffff:ffff:ffff- Addresses
- 1,152,921,504,606,846,976 (2^60)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:000a:1000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
1.a.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:a:1000::/68 makes 256 subnets of /76.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:a:1000::/76 | 2001:db8:0:a:100f:ffff:ffff:ffff |
| 2 | 2001:db8:0:a:1010::/76 | 2001:db8:0:a:101f:ffff:ffff:ffff |
| 3 | 2001:db8:0:a:1020::/76 | 2001:db8:0:a:102f:ffff:ffff:ffff |
| 4 | 2001:db8:0:a:1030::/76 | 2001:db8:0:a:103f:ffff:ffff:ffff |
| 5 | 2001:db8:0:a:1040::/76 | 2001:db8:0:a:104f:ffff:ffff:ffff |
| 6 | 2001:db8:0:a:1050::/76 | 2001:db8:0:a:105f:ffff:ffff:ffff |
| 7 | 2001:db8:0:a:1060::/76 | 2001:db8:0:a:106f:ffff:ffff:ffff |
| 8 | 2001:db8:0:a:1070::/76 | 2001:db8:0:a:107f:ffff:ffff:ffff |
| 9 | 2001:db8:0:a:1080::/76 | 2001:db8:0:a:108f:ffff:ffff:ffff |
| 10 | 2001:db8:0:a:1090::/76 | 2001:db8:0:a:109f:ffff:ffff:ffff |
| 11 | 2001:db8:0:a:10a0::/76 | 2001:db8:0:a:10af:ffff:ffff:ffff |
| 12 | 2001:db8:0:a:10b0::/76 | 2001:db8:0:a:10bf:ffff:ffff:ffff |
| 13 | 2001:db8:0:a:10c0::/76 | 2001:db8:0:a:10cf:ffff:ffff:ffff |
| 14 | 2001:db8:0:a:10d0::/76 | 2001:db8:0:a:10df:ffff:ffff:ffff |
| 15 | 2001:db8:0:a:10e0::/76 | 2001:db8:0:a:10ef:ffff:ffff:ffff |
| 16 | 2001:db8:0:a:10f0::/76 | 2001:db8:0:a:10ff:ffff:ffff:ffff |
| 17 | 2001:db8:0:a:1100::/76 | 2001:db8:0:a:110f:ffff:ffff:ffff |
| 18 | 2001:db8:0:a:1110::/76 | 2001:db8:0:a:111f:ffff:ffff:ffff |
| 19 | 2001:db8:0:a:1120::/76 | 2001:db8:0:a:112f:ffff:ffff:ffff |
| 20 | 2001:db8:0:a:1130::/76 | 2001:db8:0:a:113f:ffff:ffff:ffff |
| 21 | 2001:db8:0:a:1140::/76 | 2001:db8:0:a:114f:ffff:ffff:ffff |
| 22 | 2001:db8:0:a:1150::/76 | 2001:db8:0:a:115f:ffff:ffff:ffff |
| 23 | 2001:db8:0:a:1160::/76 | 2001:db8:0:a:116f:ffff:ffff:ffff |
| 24 | 2001:db8:0:a:1170::/76 | 2001:db8:0:a:117f:ffff:ffff:ffff |
| 25 | 2001:db8:0:a:1180::/76 | 2001:db8:0:a:118f:ffff:ffff:ffff |
| 26 | 2001:db8:0:a:1190::/76 | 2001:db8:0:a:119f:ffff:ffff:ffff |
| 27 | 2001:db8:0:a:11a0::/76 | 2001:db8:0:a:11af:ffff:ffff:ffff |
| 28 | 2001:db8:0:a:11b0::/76 | 2001:db8:0:a:11bf:ffff:ffff:ffff |
| 29 | 2001:db8:0:a:11c0::/76 | 2001:db8:0:a:11cf:ffff:ffff:ffff |
| 30 | 2001:db8:0:a:11d0::/76 | 2001:db8:0:a:11df:ffff:ffff:ffff |
| 31 | 2001:db8:0:a:11e0::/76 | 2001:db8:0:a:11ef:ffff:ffff:ffff |
| 32 | 2001:db8:0:a:11f0::/76 | 2001:db8:0:a:11ff:ffff:ffff:ffff |
| 33 | 2001:db8:0:a:1200::/76 | 2001:db8:0:a:120f:ffff:ffff:ffff |
| 34 | 2001:db8:0:a:1210::/76 | 2001:db8:0:a:121f:ffff:ffff:ffff |
| 35 | 2001:db8:0:a:1220::/76 | 2001:db8:0:a:122f:ffff:ffff:ffff |
| 36 | 2001:db8:0:a:1230::/76 | 2001:db8:0:a:123f:ffff:ffff:ffff |
| 37 | 2001:db8:0:a:1240::/76 | 2001:db8:0:a:124f:ffff:ffff:ffff |
| 38 | 2001:db8:0:a:1250::/76 | 2001:db8:0:a:125f:ffff:ffff:ffff |
| 39 | 2001:db8:0:a:1260::/76 | 2001:db8:0:a:126f:ffff:ffff:ffff |
| 40 | 2001:db8:0:a:1270::/76 | 2001:db8:0:a:127f:ffff:ffff:ffff |
| 41 | 2001:db8:0:a:1280::/76 | 2001:db8:0:a:128f:ffff:ffff:ffff |
| 42 | 2001:db8:0:a:1290::/76 | 2001:db8:0:a:129f:ffff:ffff:ffff |
| 43 | 2001:db8:0:a:12a0::/76 | 2001:db8:0:a:12af:ffff:ffff:ffff |
| 44 | 2001:db8:0:a:12b0::/76 | 2001:db8:0:a:12bf:ffff:ffff:ffff |
| 45 | 2001:db8:0:a:12c0::/76 | 2001:db8:0:a:12cf:ffff:ffff:ffff |
| 46 | 2001:db8:0:a:12d0::/76 | 2001:db8:0:a:12df:ffff:ffff:ffff |
| 47 | 2001:db8:0:a:12e0::/76 | 2001:db8:0:a:12ef:ffff:ffff:ffff |
| 48 | 2001:db8:0:a:12f0::/76 | 2001:db8:0:a:12ff:ffff:ffff:ffff |
| 49 | 2001:db8:0:a:1300::/76 | 2001:db8:0:a:130f:ffff:ffff:ffff |
| 50 | 2001:db8:0:a:1310::/76 | 2001:db8:0:a:131f:ffff:ffff:ffff |
| 51 | 2001:db8:0:a:1320::/76 | 2001:db8:0:a:132f:ffff:ffff:ffff |
| 52 | 2001:db8:0:a:1330::/76 | 2001:db8:0:a:133f:ffff:ffff:ffff |
| 53 | 2001:db8:0:a:1340::/76 | 2001:db8:0:a:134f:ffff:ffff:ffff |
| 54 | 2001:db8:0:a:1350::/76 | 2001:db8:0:a:135f:ffff:ffff:ffff |
| 55 | 2001:db8:0:a:1360::/76 | 2001:db8:0:a:136f:ffff:ffff:ffff |
| 56 | 2001:db8:0:a:1370::/76 | 2001:db8:0:a:137f:ffff:ffff:ffff |
| 57 | 2001:db8:0:a:1380::/76 | 2001:db8:0:a:138f:ffff:ffff:ffff |
| 58 | 2001:db8:0:a:1390::/76 | 2001:db8:0:a:139f:ffff:ffff:ffff |
| 59 | 2001:db8:0:a:13a0::/76 | 2001:db8:0:a:13af:ffff:ffff:ffff |
| 60 | 2001:db8:0:a:13b0::/76 | 2001:db8:0:a:13bf:ffff:ffff:ffff |
| 61 | 2001:db8:0:a:13c0::/76 | 2001:db8:0:a:13cf:ffff:ffff:ffff |
| 62 | 2001:db8:0:a:13d0::/76 | 2001:db8:0:a:13df:ffff:ffff:ffff |
| 63 | 2001:db8:0:a:13e0::/76 | 2001:db8:0:a:13ef:ffff:ffff:ffff |
| 64 | 2001:db8:0:a:13f0::/76 | 2001:db8:0:a:13ff:ffff:ffff:ffff |
| 65 | 2001:db8:0:a:1400::/76 | 2001:db8:0:a:140f:ffff:ffff:ffff |
| 66 | 2001:db8:0:a:1410::/76 | 2001:db8:0:a:141f:ffff:ffff:ffff |
| 67 | 2001:db8:0:a:1420::/76 | 2001:db8:0:a:142f:ffff:ffff:ffff |
| 68 | 2001:db8:0:a:1430::/76 | 2001:db8:0:a:143f:ffff:ffff:ffff |
| 69 | 2001:db8:0:a:1440::/76 | 2001:db8:0:a:144f:ffff:ffff:ffff |
| 70 | 2001:db8:0:a:1450::/76 | 2001:db8:0:a:145f:ffff:ffff:ffff |
| 71 | 2001:db8:0:a:1460::/76 | 2001:db8:0:a:146f:ffff:ffff:ffff |
| 72 | 2001:db8:0:a:1470::/76 | 2001:db8:0:a:147f:ffff:ffff:ffff |
| 73 | 2001:db8:0:a:1480::/76 | 2001:db8:0:a:148f:ffff:ffff:ffff |
| 74 | 2001:db8:0:a:1490::/76 | 2001:db8:0:a:149f:ffff:ffff:ffff |
| 75 | 2001:db8:0:a:14a0::/76 | 2001:db8:0:a:14af:ffff:ffff:ffff |
| 76 | 2001:db8:0:a:14b0::/76 | 2001:db8:0:a:14bf:ffff:ffff:ffff |
| 77 | 2001:db8:0:a:14c0::/76 | 2001:db8:0:a:14cf:ffff:ffff:ffff |
| 78 | 2001:db8:0:a:14d0::/76 | 2001:db8:0:a:14df:ffff:ffff:ffff |
| 79 | 2001:db8:0:a:14e0::/76 | 2001:db8:0:a:14ef:ffff:ffff:ffff |
| 80 | 2001:db8:0:a:14f0::/76 | 2001:db8:0:a:14ff:ffff:ffff:ffff |
| 81 | 2001:db8:0:a:1500::/76 | 2001:db8:0:a:150f:ffff:ffff:ffff |
| 82 | 2001:db8:0:a:1510::/76 | 2001:db8:0:a:151f:ffff:ffff:ffff |
| 83 | 2001:db8:0:a:1520::/76 | 2001:db8:0:a:152f:ffff:ffff:ffff |
| 84 | 2001:db8:0:a:1530::/76 | 2001:db8:0:a:153f:ffff:ffff:ffff |
| 85 | 2001:db8:0:a:1540::/76 | 2001:db8:0:a:154f:ffff:ffff:ffff |
| 86 | 2001:db8:0:a:1550::/76 | 2001:db8:0:a:155f:ffff:ffff:ffff |
| 87 | 2001:db8:0:a:1560::/76 | 2001:db8:0:a:156f:ffff:ffff:ffff |
| 88 | 2001:db8:0:a:1570::/76 | 2001:db8:0:a:157f:ffff:ffff:ffff |
| 89 | 2001:db8:0:a:1580::/76 | 2001:db8:0:a:158f:ffff:ffff:ffff |
| 90 | 2001:db8:0:a:1590::/76 | 2001:db8:0:a:159f:ffff:ffff:ffff |
| 91 | 2001:db8:0:a:15a0::/76 | 2001:db8:0:a:15af:ffff:ffff:ffff |
| 92 | 2001:db8:0:a:15b0::/76 | 2001:db8:0:a:15bf:ffff:ffff:ffff |
| 93 | 2001:db8:0:a:15c0::/76 | 2001:db8:0:a:15cf:ffff:ffff:ffff |
| 94 | 2001:db8:0:a:15d0::/76 | 2001:db8:0:a:15df:ffff:ffff:ffff |
| 95 | 2001:db8:0:a:15e0::/76 | 2001:db8:0:a:15ef:ffff:ffff:ffff |
| 96 | 2001:db8:0:a:15f0::/76 | 2001:db8:0:a:15ff:ffff:ffff:ffff |
| 97 | 2001:db8:0:a:1600::/76 | 2001:db8:0:a:160f:ffff:ffff:ffff |
| 98 | 2001:db8:0:a:1610::/76 | 2001:db8:0:a:161f:ffff:ffff:ffff |
| 99 | 2001:db8:0:a:1620::/76 | 2001:db8:0:a:162f:ffff:ffff:ffff |
| 100 | 2001:db8:0:a:1630::/76 | 2001:db8:0:a:163f:ffff:ffff:ffff |
| 101 | 2001:db8:0:a:1640::/76 | 2001:db8:0:a:164f:ffff:ffff:ffff |
| 102 | 2001:db8:0:a:1650::/76 | 2001:db8:0:a:165f:ffff:ffff:ffff |
| 103 | 2001:db8:0:a:1660::/76 | 2001:db8:0:a:166f:ffff:ffff:ffff |
| 104 | 2001:db8:0:a:1670::/76 | 2001:db8:0:a:167f:ffff:ffff:ffff |
| 105 | 2001:db8:0:a:1680::/76 | 2001:db8:0:a:168f:ffff:ffff:ffff |
| 106 | 2001:db8:0:a:1690::/76 | 2001:db8:0:a:169f:ffff:ffff:ffff |
| 107 | 2001:db8:0:a:16a0::/76 | 2001:db8:0:a:16af:ffff:ffff:ffff |
| 108 | 2001:db8:0:a:16b0::/76 | 2001:db8:0:a:16bf:ffff:ffff:ffff |
| 109 | 2001:db8:0:a:16c0::/76 | 2001:db8:0:a:16cf:ffff:ffff:ffff |
| 110 | 2001:db8:0:a:16d0::/76 | 2001:db8:0:a:16df:ffff:ffff:ffff |
| 111 | 2001:db8:0:a:16e0::/76 | 2001:db8:0:a:16ef:ffff:ffff:ffff |
| 112 | 2001:db8:0:a:16f0::/76 | 2001:db8:0:a:16ff:ffff:ffff:ffff |
| 113 | 2001:db8:0:a:1700::/76 | 2001:db8:0:a:170f:ffff:ffff:ffff |
| 114 | 2001:db8:0:a:1710::/76 | 2001:db8:0:a:171f:ffff:ffff:ffff |
| 115 | 2001:db8:0:a:1720::/76 | 2001:db8:0:a:172f:ffff:ffff:ffff |
| 116 | 2001:db8:0:a:1730::/76 | 2001:db8:0:a:173f:ffff:ffff:ffff |
| 117 | 2001:db8:0:a:1740::/76 | 2001:db8:0:a:174f:ffff:ffff:ffff |
| 118 | 2001:db8:0:a:1750::/76 | 2001:db8:0:a:175f:ffff:ffff:ffff |
| 119 | 2001:db8:0:a:1760::/76 | 2001:db8:0:a:176f:ffff:ffff:ffff |
| 120 | 2001:db8:0:a:1770::/76 | 2001:db8:0:a:177f:ffff:ffff:ffff |
| 121 | 2001:db8:0:a:1780::/76 | 2001:db8:0:a:178f:ffff:ffff:ffff |
| 122 | 2001:db8:0:a:1790::/76 | 2001:db8:0:a:179f:ffff:ffff:ffff |
| 123 | 2001:db8:0:a:17a0::/76 | 2001:db8:0:a:17af:ffff:ffff:ffff |
| 124 | 2001:db8:0:a:17b0::/76 | 2001:db8:0:a:17bf:ffff:ffff:ffff |
| 125 | 2001:db8:0:a:17c0::/76 | 2001:db8:0:a:17cf:ffff:ffff:ffff |
| 126 | 2001:db8:0:a:17d0::/76 | 2001:db8:0:a:17df:ffff:ffff:ffff |
| 127 | 2001:db8:0:a:17e0::/76 | 2001:db8:0:a:17ef:ffff:ffff:ffff |
| 128 | 2001:db8:0:a:17f0::/76 | 2001:db8:0:a:17ff:ffff:ffff:ffff |
| 129 | 2001:db8:0:a:1800::/76 | 2001:db8:0:a:180f:ffff:ffff:ffff |
| 130 | 2001:db8:0:a:1810::/76 | 2001:db8:0:a:181f:ffff:ffff:ffff |
| 131 | 2001:db8:0:a:1820::/76 | 2001:db8:0:a:182f:ffff:ffff:ffff |
| 132 | 2001:db8:0:a:1830::/76 | 2001:db8:0:a:183f:ffff:ffff:ffff |
| 133 | 2001:db8:0:a:1840::/76 | 2001:db8:0:a:184f:ffff:ffff:ffff |
| 134 | 2001:db8:0:a:1850::/76 | 2001:db8:0:a:185f:ffff:ffff:ffff |
| 135 | 2001:db8:0:a:1860::/76 | 2001:db8:0:a:186f:ffff:ffff:ffff |
| 136 | 2001:db8:0:a:1870::/76 | 2001:db8:0:a:187f:ffff:ffff:ffff |
| 137 | 2001:db8:0:a:1880::/76 | 2001:db8:0:a:188f:ffff:ffff:ffff |
| 138 | 2001:db8:0:a:1890::/76 | 2001:db8:0:a:189f:ffff:ffff:ffff |
| 139 | 2001:db8:0:a:18a0::/76 | 2001:db8:0:a:18af:ffff:ffff:ffff |
| 140 | 2001:db8:0:a:18b0::/76 | 2001:db8:0:a:18bf:ffff:ffff:ffff |
| 141 | 2001:db8:0:a:18c0::/76 | 2001:db8:0:a:18cf:ffff:ffff:ffff |
| 142 | 2001:db8:0:a:18d0::/76 | 2001:db8:0:a:18df:ffff:ffff:ffff |
| 143 | 2001:db8:0:a:18e0::/76 | 2001:db8:0:a:18ef:ffff:ffff:ffff |
| 144 | 2001:db8:0:a:18f0::/76 | 2001:db8:0:a:18ff:ffff:ffff:ffff |
| 145 | 2001:db8:0:a:1900::/76 | 2001:db8:0:a:190f:ffff:ffff:ffff |
| 146 | 2001:db8:0:a:1910::/76 | 2001:db8:0:a:191f:ffff:ffff:ffff |
| 147 | 2001:db8:0:a:1920::/76 | 2001:db8:0:a:192f:ffff:ffff:ffff |
| 148 | 2001:db8:0:a:1930::/76 | 2001:db8:0:a:193f:ffff:ffff:ffff |
| 149 | 2001:db8:0:a:1940::/76 | 2001:db8:0:a:194f:ffff:ffff:ffff |
| 150 | 2001:db8:0:a:1950::/76 | 2001:db8:0:a:195f:ffff:ffff:ffff |
| 151 | 2001:db8:0:a:1960::/76 | 2001:db8:0:a:196f:ffff:ffff:ffff |
| 152 | 2001:db8:0:a:1970::/76 | 2001:db8:0:a:197f:ffff:ffff:ffff |
| 153 | 2001:db8:0:a:1980::/76 | 2001:db8:0:a:198f:ffff:ffff:ffff |
| 154 | 2001:db8:0:a:1990::/76 | 2001:db8:0:a:199f:ffff:ffff:ffff |
| 155 | 2001:db8:0:a:19a0::/76 | 2001:db8:0:a:19af:ffff:ffff:ffff |
| 156 | 2001:db8:0:a:19b0::/76 | 2001:db8:0:a:19bf:ffff:ffff:ffff |
| 157 | 2001:db8:0:a:19c0::/76 | 2001:db8:0:a:19cf:ffff:ffff:ffff |
| 158 | 2001:db8:0:a:19d0::/76 | 2001:db8:0:a:19df:ffff:ffff:ffff |
| 159 | 2001:db8:0:a:19e0::/76 | 2001:db8:0:a:19ef:ffff:ffff:ffff |
| 160 | 2001:db8:0:a:19f0::/76 | 2001:db8:0:a:19ff:ffff:ffff:ffff |
| 161 | 2001:db8:0:a:1a00::/76 | 2001:db8:0:a:1a0f:ffff:ffff:ffff |
| 162 | 2001:db8:0:a:1a10::/76 | 2001:db8:0:a:1a1f:ffff:ffff:ffff |
| 163 | 2001:db8:0:a:1a20::/76 | 2001:db8:0:a:1a2f:ffff:ffff:ffff |
| 164 | 2001:db8:0:a:1a30::/76 | 2001:db8:0:a:1a3f:ffff:ffff:ffff |
| 165 | 2001:db8:0:a:1a40::/76 | 2001:db8:0:a:1a4f:ffff:ffff:ffff |
| 166 | 2001:db8:0:a:1a50::/76 | 2001:db8:0:a:1a5f:ffff:ffff:ffff |
| 167 | 2001:db8:0:a:1a60::/76 | 2001:db8:0:a:1a6f:ffff:ffff:ffff |
| 168 | 2001:db8:0:a:1a70::/76 | 2001:db8:0:a:1a7f:ffff:ffff:ffff |
| 169 | 2001:db8:0:a:1a80::/76 | 2001:db8:0:a:1a8f:ffff:ffff:ffff |
| 170 | 2001:db8:0:a:1a90::/76 | 2001:db8:0:a:1a9f:ffff:ffff:ffff |
| 171 | 2001:db8:0:a:1aa0::/76 | 2001:db8:0:a:1aaf:ffff:ffff:ffff |
| 172 | 2001:db8:0:a:1ab0::/76 | 2001:db8:0:a:1abf:ffff:ffff:ffff |
| 173 | 2001:db8:0:a:1ac0::/76 | 2001:db8:0:a:1acf:ffff:ffff:ffff |
| 174 | 2001:db8:0:a:1ad0::/76 | 2001:db8:0:a:1adf:ffff:ffff:ffff |
| 175 | 2001:db8:0:a:1ae0::/76 | 2001:db8:0:a:1aef:ffff:ffff:ffff |
| 176 | 2001:db8:0:a:1af0::/76 | 2001:db8:0:a:1aff:ffff:ffff:ffff |
| 177 | 2001:db8:0:a:1b00::/76 | 2001:db8:0:a:1b0f:ffff:ffff:ffff |
| 178 | 2001:db8:0:a:1b10::/76 | 2001:db8:0:a:1b1f:ffff:ffff:ffff |
| 179 | 2001:db8:0:a:1b20::/76 | 2001:db8:0:a:1b2f:ffff:ffff:ffff |
| 180 | 2001:db8:0:a:1b30::/76 | 2001:db8:0:a:1b3f:ffff:ffff:ffff |
| 181 | 2001:db8:0:a:1b40::/76 | 2001:db8:0:a:1b4f:ffff:ffff:ffff |
| 182 | 2001:db8:0:a:1b50::/76 | 2001:db8:0:a:1b5f:ffff:ffff:ffff |
| 183 | 2001:db8:0:a:1b60::/76 | 2001:db8:0:a:1b6f:ffff:ffff:ffff |
| 184 | 2001:db8:0:a:1b70::/76 | 2001:db8:0:a:1b7f:ffff:ffff:ffff |
| 185 | 2001:db8:0:a:1b80::/76 | 2001:db8:0:a:1b8f:ffff:ffff:ffff |
| 186 | 2001:db8:0:a:1b90::/76 | 2001:db8:0:a:1b9f:ffff:ffff:ffff |
| 187 | 2001:db8:0:a:1ba0::/76 | 2001:db8:0:a:1baf:ffff:ffff:ffff |
| 188 | 2001:db8:0:a:1bb0::/76 | 2001:db8:0:a:1bbf:ffff:ffff:ffff |
| 189 | 2001:db8:0:a:1bc0::/76 | 2001:db8:0:a:1bcf:ffff:ffff:ffff |
| 190 | 2001:db8:0:a:1bd0::/76 | 2001:db8:0:a:1bdf:ffff:ffff:ffff |
| 191 | 2001:db8:0:a:1be0::/76 | 2001:db8:0:a:1bef:ffff:ffff:ffff |
| 192 | 2001:db8:0:a:1bf0::/76 | 2001:db8:0:a:1bff:ffff:ffff:ffff |
| 193 | 2001:db8:0:a:1c00::/76 | 2001:db8:0:a:1c0f:ffff:ffff:ffff |
| 194 | 2001:db8:0:a:1c10::/76 | 2001:db8:0:a:1c1f:ffff:ffff:ffff |
| 195 | 2001:db8:0:a:1c20::/76 | 2001:db8:0:a:1c2f:ffff:ffff:ffff |
| 196 | 2001:db8:0:a:1c30::/76 | 2001:db8:0:a:1c3f:ffff:ffff:ffff |
| 197 | 2001:db8:0:a:1c40::/76 | 2001:db8:0:a:1c4f:ffff:ffff:ffff |
| 198 | 2001:db8:0:a:1c50::/76 | 2001:db8:0:a:1c5f:ffff:ffff:ffff |
| 199 | 2001:db8:0:a:1c60::/76 | 2001:db8:0:a:1c6f:ffff:ffff:ffff |
| 200 | 2001:db8:0:a:1c70::/76 | 2001:db8:0:a:1c7f:ffff:ffff:ffff |
| 201 | 2001:db8:0:a:1c80::/76 | 2001:db8:0:a:1c8f:ffff:ffff:ffff |
| 202 | 2001:db8:0:a:1c90::/76 | 2001:db8:0:a:1c9f:ffff:ffff:ffff |
| 203 | 2001:db8:0:a:1ca0::/76 | 2001:db8:0:a:1caf:ffff:ffff:ffff |
| 204 | 2001:db8:0:a:1cb0::/76 | 2001:db8:0:a:1cbf:ffff:ffff:ffff |
| 205 | 2001:db8:0:a:1cc0::/76 | 2001:db8:0:a:1ccf:ffff:ffff:ffff |
| 206 | 2001:db8:0:a:1cd0::/76 | 2001:db8:0:a:1cdf:ffff:ffff:ffff |
| 207 | 2001:db8:0:a:1ce0::/76 | 2001:db8:0:a:1cef:ffff:ffff:ffff |
| 208 | 2001:db8:0:a:1cf0::/76 | 2001:db8:0:a:1cff:ffff:ffff:ffff |
| 209 | 2001:db8:0:a:1d00::/76 | 2001:db8:0:a:1d0f:ffff:ffff:ffff |
| 210 | 2001:db8:0:a:1d10::/76 | 2001:db8:0:a:1d1f:ffff:ffff:ffff |
| 211 | 2001:db8:0:a:1d20::/76 | 2001:db8:0:a:1d2f:ffff:ffff:ffff |
| 212 | 2001:db8:0:a:1d30::/76 | 2001:db8:0:a:1d3f:ffff:ffff:ffff |
| 213 | 2001:db8:0:a:1d40::/76 | 2001:db8:0:a:1d4f:ffff:ffff:ffff |
| 214 | 2001:db8:0:a:1d50::/76 | 2001:db8:0:a:1d5f:ffff:ffff:ffff |
| 215 | 2001:db8:0:a:1d60::/76 | 2001:db8:0:a:1d6f:ffff:ffff:ffff |
| 216 | 2001:db8:0:a:1d70::/76 | 2001:db8:0:a:1d7f:ffff:ffff:ffff |
| 217 | 2001:db8:0:a:1d80::/76 | 2001:db8:0:a:1d8f:ffff:ffff:ffff |
| 218 | 2001:db8:0:a:1d90::/76 | 2001:db8:0:a:1d9f:ffff:ffff:ffff |
| 219 | 2001:db8:0:a:1da0::/76 | 2001:db8:0:a:1daf:ffff:ffff:ffff |
| 220 | 2001:db8:0:a:1db0::/76 | 2001:db8:0:a:1dbf:ffff:ffff:ffff |
| 221 | 2001:db8:0:a:1dc0::/76 | 2001:db8:0:a:1dcf:ffff:ffff:ffff |
| 222 | 2001:db8:0:a:1dd0::/76 | 2001:db8:0:a:1ddf:ffff:ffff:ffff |
| 223 | 2001:db8:0:a:1de0::/76 | 2001:db8:0:a:1def:ffff:ffff:ffff |
| 224 | 2001:db8:0:a:1df0::/76 | 2001:db8:0:a:1dff:ffff:ffff:ffff |
| 225 | 2001:db8:0:a:1e00::/76 | 2001:db8:0:a:1e0f:ffff:ffff:ffff |
| 226 | 2001:db8:0:a:1e10::/76 | 2001:db8:0:a:1e1f:ffff:ffff:ffff |
| 227 | 2001:db8:0:a:1e20::/76 | 2001:db8:0:a:1e2f:ffff:ffff:ffff |
| 228 | 2001:db8:0:a:1e30::/76 | 2001:db8:0:a:1e3f:ffff:ffff:ffff |
| 229 | 2001:db8:0:a:1e40::/76 | 2001:db8:0:a:1e4f:ffff:ffff:ffff |
| 230 | 2001:db8:0:a:1e50::/76 | 2001:db8:0:a:1e5f:ffff:ffff:ffff |
| 231 | 2001:db8:0:a:1e60::/76 | 2001:db8:0:a:1e6f:ffff:ffff:ffff |
| 232 | 2001:db8:0:a:1e70::/76 | 2001:db8:0:a:1e7f:ffff:ffff:ffff |
| 233 | 2001:db8:0:a:1e80::/76 | 2001:db8:0:a:1e8f:ffff:ffff:ffff |
| 234 | 2001:db8:0:a:1e90::/76 | 2001:db8:0:a:1e9f:ffff:ffff:ffff |
| 235 | 2001:db8:0:a:1ea0::/76 | 2001:db8:0:a:1eaf:ffff:ffff:ffff |
| 236 | 2001:db8:0:a:1eb0::/76 | 2001:db8:0:a:1ebf:ffff:ffff:ffff |
| 237 | 2001:db8:0:a:1ec0::/76 | 2001:db8:0:a:1ecf:ffff:ffff:ffff |
| 238 | 2001:db8:0:a:1ed0::/76 | 2001:db8:0:a:1edf:ffff:ffff:ffff |
| 239 | 2001:db8:0:a:1ee0::/76 | 2001:db8:0:a:1eef:ffff:ffff:ffff |
| 240 | 2001:db8:0:a:1ef0::/76 | 2001:db8:0:a:1eff:ffff:ffff:ffff |
| 241 | 2001:db8:0:a:1f00::/76 | 2001:db8:0:a:1f0f:ffff:ffff:ffff |
| 242 | 2001:db8:0:a:1f10::/76 | 2001:db8:0:a:1f1f:ffff:ffff:ffff |
| 243 | 2001:db8:0:a:1f20::/76 | 2001:db8:0:a:1f2f:ffff:ffff:ffff |
| 244 | 2001:db8:0:a:1f30::/76 | 2001:db8:0:a:1f3f:ffff:ffff:ffff |
| 245 | 2001:db8:0:a:1f40::/76 | 2001:db8:0:a:1f4f:ffff:ffff:ffff |
| 246 | 2001:db8:0:a:1f50::/76 | 2001:db8:0:a:1f5f:ffff:ffff:ffff |
| 247 | 2001:db8:0:a:1f60::/76 | 2001:db8:0:a:1f6f:ffff:ffff:ffff |
| 248 | 2001:db8:0:a:1f70::/76 | 2001:db8:0:a:1f7f:ffff:ffff:ffff |
| 249 | 2001:db8:0:a:1f80::/76 | 2001:db8:0:a:1f8f:ffff:ffff:ffff |
| 250 | 2001:db8:0:a:1f90::/76 | 2001:db8:0:a:1f9f:ffff:ffff:ffff |
| 251 | 2001:db8:0:a:1fa0::/76 | 2001:db8:0:a:1faf:ffff:ffff:ffff |
| 252 | 2001:db8:0:a:1fb0::/76 | 2001:db8:0:a:1fbf:ffff:ffff:ffff |
| 253 | 2001:db8:0:a:1fc0::/76 | 2001:db8:0:a:1fcf:ffff:ffff:ffff |
| 254 | 2001:db8:0:a:1fd0::/76 | 2001:db8:0:a:1fdf:ffff:ffff:ffff |
| 255 | 2001:db8:0:a:1fe0::/76 | 2001:db8:0:a:1fef:ffff:ffff:ffff |
| 256 | 2001:db8:0:a:1ff0::/76 | 2001:db8:0:a:1fff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |